Update advanced settings
Updates reCAPTCHA, HTTP client timeout, and client allocation feature settings.
/api/admin/settings/advancedAuthorization
default Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/api/admin/settings/advanced" \ -H "Content-Type: application/json" \ -d '{ "recaptcha:enabled": "example", "recaptcha:secret_key": "example", "recaptcha:website_key": "example", "pterodactyl:guzzle:timeout": 1, "pterodactyl:guzzle:connect_timeout": 1, "pterodactyl:client_features:allocations:enabled": 1 }'